# Uses of Interface
jebl.evolution.trees.Tree

Packages that use Tree
Package
Description
jebl.evolution.align
Provides classes and interfaces for pairwise alignment of two sequences.
jebl.evolution.io
jebl.evolution.parsimony
jebl.evolution.trees

## Uses of Tree in jebl.evolution.align

Fields in jebl.evolution.align declared as Tree
Modifier and Type
Field
Description
`final Tree`
AlignmentTreeBuilderFactory.Result.`tree`

## Uses of Tree in jebl.evolution.io

Methods in jebl.evolution.io that return Tree
Modifier and Type
Method
Description
`Tree`
NewickImporter.`importNextTree()`
`Tree`
NexusImporter.`importNextTree()`
If not currently reading a TREES block then read ahead to the next TREES block, parsing TRANSLATE and TAXA blocks in the process if necessary.
`Tree`
TreeImporter.`importNextTree()`
Import a single tree
Methods in jebl.evolution.io that return types with arguments of type Tree
Modifier and Type
Method
Description
`List<Tree>`
NewickImporter.`importTrees()`
`List<Tree>`
NexusImporter.`importTrees()`
Import all trees in the file from the current position.
`List<Tree>`
TreeImporter.`importTrees()`
Import all the trees
`Iterator<Tree>`
NewickImporter.`iterator()`
Returns an iterator over a set of elements of type T.
`Iterator<Tree>`
NexusImporter.`iterator()`
`List<Tree>`
NexusImporter.`parseTreesBlock(List<Taxon> taxonList)`
Parse the next 'TREES' block encountered in the input.
Methods in jebl.evolution.io with parameters of type Tree
Modifier and Type
Method
Description
`void`
NewickExporter.`exportTree(Tree tree)`
Export a single tree
`void`
NexusExporter.`exportTree(Tree tree)`
Export a single tree
`void`
PHYLIPExporter.`exportTree(Tree tree)`
`void`
TreeExporter.`exportTree(Tree tree)`
Export a single tree
Method parameters in jebl.evolution.io with type arguments of type Tree
Modifier and Type
Method
Description
`void`
NewickExporter.`exportTrees(Collection<? extends Tree> trees)`
Export a collection of trees
`void`
NexusExporter.`exportTrees(Collection<? extends Tree> trees)`
`void`
NexusExporter.`exportTrees(Collection<? extends Tree> trees, boolean writeTaxa)`
`void`
PHYLIPExporter.`exportTrees(Collection<? extends Tree> trees)`
`void`
TreeExporter.`exportTrees(Collection<? extends Tree> trees)`
Export a collection of trees
`void`
NexusExporter.`exportTreesWithTranslation(Collection<? extends Tree> trees, Map<String,String> translationMap)`

## Uses of Tree in jebl.evolution.parsimony

Methods in jebl.evolution.parsimony with parameters of type Tree
Modifier and Type
Method
Description
`double`
FitchParsimony.`getScore(Tree tree)`
`double`
ParsimonyCriterion.`getScore(Tree tree)`
Calculates the minimum number of steps for the parsimony reconstruction for the given tree.
`double[]`
FitchParsimony.`getSiteScores(Tree tree)`
Calculates the minimum number of siteScores for the parsimony reconstruction of a a set of character patterns on a tree.
`double[]`
ParsimonyCriterion.`getSiteScores(Tree tree)`
Calculates the minimum number of steps for the parsimony reconstruction for the given tree.
`State[]`
FitchParsimony.`getStates(Tree tree, Node node)`
Returns the reconstructed character states for a given node in the tree.
`State[]`
ParsimonyCriterion.`getStates(Tree tree, Node node)`
Returns the reconstructed character states for a given node in the tree.

## Uses of Tree in jebl.evolution.trees

Classes in jebl.evolution.trees with type parameters of type Tree
Modifier and Type
Class
Description
`class`
`ClusteringTreeBuilder<T extends Tree>`
An abstract base class for clustering algorithms from pairwise distances
`class`
`ConsensusTreeBuilder<T extends Tree>`
A `TreeBuilder` that builds a consensus tree for a set of trees on identical leaf sets.
`interface`
`TreeBuilder<T extends Tree>`
Subinterfaces of Tree in jebl.evolution.trees
Modifier and Type
Interface
Description
`interface`
`RootedTree`
A tree with a root (node with maximum height).
Classes in jebl.evolution.trees that implement Tree
Modifier and Type
Class
Description
`class`
`AbstractRootedTree`
`class`
`CompactRootedTree`
A memory efficient rooted tree.
`class`
`FilteredRootedTree`
`class`
`MutableRootedTree`
A simple rooted tree providing some ability to manipulate the tree.
`final class`
`ReRootedTree`
A rooted tree concrete class that wraps another tree and provides a differently rooted view of that tree.
`class`
`RootedFromUnrooted`
Root an unrooted tree.
`final class`
`RootedSubtree`
A simple, immutable rooted tree implementation that is a subtree of an existing tree subtending a specified set of taxa..
`final class`
`SimpleRootedTree`
A simple, and initially immutable rooted tree implementation.
`final class`
`SimpleTree`
A basic implementation on an unrooted tree.
`class`
`SortedRootedTree`
`class`
`TransformedRootedTree`
This RootedTree class wraps another RootedTree and transforms the branch lengths and node heights using various functions.
Methods in jebl.evolution.trees that return Tree
Modifier and Type
Method
Description
`Tree`
TreeChangeEvent.`getTree()`
Methods in jebl.evolution.trees that return types with arguments of type Tree
Modifier and Type
Method
Description
`List<Tree>`
MostProbableTopology.`get(int max, double threshold)`
Get the most probable tree(s)
Methods in jebl.evolution.trees with parameters of type Tree
Modifier and Type
Method
Description
`static String`
Utils.`asText(Tree tree)`
`static String[]`
Utils.`asText(Tree tree, int widthGuide)`
`static ConsensusTreeBuilder`
TreeBuilderFactory.`buildRooted(Tree[] trees, double supportThreshold, TreeBuilderFactory.ConsensusMethod method)`
convenience method.
`static ConsensusTreeBuilder`
TreeBuilderFactory.`buildUnRooted(Tree[] trees, Taxon outGroup, double supportThreshold, TreeBuilderFactory.ConsensusMethod method)`
`Node`
SimpleRootedTree.`createNodes(Tree tree, Node parent, Node child)`
Clones the entire tree structure from the given (unrooted) Tree.
`static double`
Utils.`getLength(Tree tree)`
`static double`
Utils.`getPathLength(Tree tree, Node node1, Node node2)`
`static void`
SplitUtils.`getSplit(List<Taxon> taxa, Tree tree, Edge edge, boolean[] split)`
get split for branch associated with internal node
`static SplitSystem`
SplitUtils.`getSplits(List<Taxon> taxa, Tree tree)`
creates a split system from a tree (using a pre-specified order of sequences)
`static SplitSystem`
SplitUtils.`getSplits(Tree tree)`
creates a split system from a tree (using tree-induced order of sequences)
`static RootedTree`
Utils.`rootTheTree(Tree tree)`
Return a rooted tree from any tree.
`static RootedTree`
Utils.`rootTreeAtCenter(Tree tree)`
Root any tree by locating the "center" of tree and adding a new root node at that point
Method parameters in jebl.evolution.trees with type arguments of type Tree
Modifier and Type
Method
Description
`static void`
Utils.`assertAllTreesHaveTheSameTaxa(List<? extends Tree> trees)`
Checks whether all of the trees passed in have the same taxa sets (ignoring order of taxa), and throws an IllegalArgumentException if this is not the case.
Constructors in jebl.evolution.trees with parameters of type Tree
Modifier
Constructor
Description
``
`MutableRootedTree(Tree tree, Node outGroup)`
Construct a rooted tree from unrooted.
``
`RootedFromUnrooted(Tree source, Node root, boolean intentUnrooted)`
Root tree at some internal node.
``
`RootedFromUnrooted(Tree source, Node left, Node right, double fromLeft)`
Root source by creating a new internal node whose children are (the adjacent) left and right.
``
`SimpleRootedTree(Tree tree, Node ingroupNode, Node outgroupNode, double ingroupBranchLength)`
Make a copy of the given unrooted tree
``
`SimpleTree(Tree tree)`
Duplicate a tree.
``
`TreeChangeEvent(Tree tree)`
Constructor parameters in jebl.evolution.trees with type arguments of type Tree
Modifier
Constructor
Description
``
`MostProbableTopology(Collection<? extends Tree> trees)`